com.holonplatform.vaadin.flow.components.builders

## Interface BaseValidatableInputBuilder<T,I extends ValidatableInput<T>,B extends BaseValidatableInputBuilder<T,I,B>>

- Type Parameters:
    `T` - Value type
    `I` - Concrete validatable input type
    `B` - Concrete builder type
  All Superinterfaces:
    ValidatableInputConfigurator<T,I,B>
  All Known Subinterfaces:
    FilterableSingleSelectConfigurator.ValidatableDatastoreFilterableSingleSelectInputBuilder<T,ITEM>, FilterableSingleSelectConfigurator.ValidatableDatastorePropertyFilterableSingleSelectInputBuilder<T>, FilterableSingleSelectConfigurator.ValidatableFilterableSingleSelectInputBuilder<T,ITEM>, FilterableSingleSelectConfigurator.ValidatablePropertyFilterableSingleSelectInputBuilder<T>, ListMultiSelectConfigurator.ValidatableDatastoreListMultiSelectInputBuilder<T,ITEM>, ListMultiSelectConfigurator.ValidatableDatastorePropertyListMultiSelectInputBuilder<T>, ListMultiSelectConfigurator.ValidatableListMultiSelectInputBuilder<T,ITEM>, ListMultiSelectConfigurator.ValidatablePropertyListMultiSelectInputBuilder<T>, ListSingleSelectConfigurator.ValidatableDatastoreListSingleSelectInputBuilder<T,ITEM>, ListSingleSelectConfigurator.ValidatableDatastorePropertyListSingleSelectInputBuilder<T>, ListSingleSelectConfigurator.ValidatableListSingleSelectInputBuilder<T,ITEM>, ListSingleSelectConfigurator.ValidatablePropertyListSingleSelectInputBuilder<T>, OptionsMultiSelectConfigurator.ValidatableDatastoreOptionsMultiSelectInputBuilder<T,ITEM>, OptionsMultiSelectConfigurator.ValidatableDatastorePropertyOptionsMultiSelectInputBuilder<T>, OptionsMultiSelectConfigurator.ValidatableOptionsMultiSelectInputBuilder<T,ITEM>, OptionsMultiSelectConfigurator.ValidatablePropertyOptionsMultiSelectInputBuilder<T>, OptionsSingleSelectConfigurator.ValidatableDatastoreOptionsSingleSelectInputBuilder<T,ITEM>, OptionsSingleSelectConfigurator.ValidatableDatastorePropertyOptionsSingleSelectInputBuilder<T>, OptionsSingleSelectConfigurator.ValidatableOptionsSingleSelectInputBuilder<T,ITEM>, OptionsSingleSelectConfigurator.ValidatablePropertyOptionsSingleSelectInputBuilder<T>, SingleSelectConfigurator.ValidatableDatastorePropertySingleSelectInputBuilder<T>, SingleSelectConfigurator.ValidatableDatastoreSingleSelectInputBuilder<T,ITEM>, SingleSelectConfigurator.ValidatablePropertySingleSelectInputBuilder<T>, SingleSelectConfigurator.ValidatableSingleSelectInputBuilder<T,ITEM>, ValidatableBooleanInputBuilder, ValidatableDateInputBuilder, ValidatableDateTimeInputBuilder, ValidatableInputBuilder<T>, ValidatableLocalDateInputBuilder, ValidatableLocalDateTimeInputBuilder, ValidatableLocalTimeInputBuilder, ValidatableNumberInputBuilder<T>, ValidatablePasswordInputBuilder, ValidatableStringAreaInputBuilder, ValidatableStringInputBuilder

      public interface BaseValidatableInputBuilder<T,I extends ValidatableInput<T>,B extends BaseValidatableInputBuilder<T,I,B>>
      extends ValidatableInputConfigurator<T,I,B>

  Base `ValidatableInput` builder.
  Since:
    5.2.2

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `I` | `build()` Build the `ValidatableInput` instance.

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ValidatableInputConfigurator

      `required, required, required, required, required, validateOnValueChange, validationStatusHandler, withValidator`

- - ### Method Detail

    - #### build

          I build()

      Build the `ValidatableInput` instance.
      Returns:
        the `ValidatableInput` instance

Copyright © 2020 The Holon Platform. All rights reserved.